## ros-kinetic-rosserial-client 0.7.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosserial_client)

find_package(catkin REQUIRED)
catkin_package(
  CFG_EXTRAS ${PROJECT_NAME}-extras.cmake
)

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  find_package(rosserial_msgs REQUIRED)
  include_directories(src ${rosserial_msgs_INCLUDE_DIRS})
  catkin_add_gtest(float64_test test/float64_test.cpp)
  catkin_add_gtest(subscriber_test test/subscriber_test.cpp)
endif()

install(
  DIRECTORY src/ros_lib
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/src
)

install(
  PROGRAMS scripts/make_libraries
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(
  PROGRAMS src/${PROJECT_NAME}/make_library.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rosserial-client (0.7.7-0xenial) xenial; urgency=high

  * Add overall spin timeout to rosserial read. (#334 <https://github.com/ros-drivers/rosserial/issues/334>)
  * Fixing formatting on files. (#333 <https://github.com/ros-drivers/rosserial/issues/333>)
  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * fix spinOnce timeout : 5ms -> 5s (#326 <https://github.com/ros-drivers/rosserial/issues/326>)
  * [Client] Fix a warning in comparison. (#323 <https://github.com/ros-drivers/rosserial/issues/323>)
  * Use const in ros namespace instead of #define for constants. Fix #283 <https://github.com/ros-drivers/rosserial/issues/283> (#318 <https://github.com/ros-drivers/rosserial/issues/318>)
  * Fix CMP0046 warnings in catkin-built firmwares (#320 <https://github.com/ros-drivers/rosserial/issues/320>)
  * Prevent time variable overflow leading to parameter timeout error (#293 <https://github.com/ros-drivers/rosserial/issues/293>)
  * Add class member method callback support for Service Server. (#282 <https://github.com/ros-drivers/rosserial/issues/282>)
  * Added capability to specify timeout in getParam methods (#278 <https://github.com/ros-drivers/rosserial/issues/278>)
  * Contributors: 1r0b1n0, Alessandro Francescon, Bei Chen Liu, David Portugal, Dmitry Kargin, Mike O'Driscoll, Mike Purvis, Romain Reignier

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 05:00:00 -0000

ros-kinetic-rosserial-client (0.7.6-0xenial) xenial; urgency=high

  * Fixing message has no attribute _md5sum (#257 <https://github.com/ros-drivers/rosserial/issues/257>)
  * Contributors: Mike O'Driscoll

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 05:00:00 -0000

ros-kinetic-rosserial-client (0.7.5-0xenial) xenial; urgency=high

  * rosserial client variable typedefs (#254 <https://github.com/ros-drivers/rosserial/issues/254>)
    * Add typedefs to generated messages
    This brings rosserial message headers in line with
    roscpp headers that provide a typedef for the message
    variable member.
    * Removing unused imports and variables.
  * Added functions for endian-agnostic memory copying (#240 <https://github.com/ros-drivers/rosserial/issues/240>)
  * Contributors: Mike O'Driscoll, ivan

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 05:00:00 -0000

ros-kinetic-rosserial-client (0.7.4-0xenial) xenial; urgency=high

  * Integration tests for rosserial (#243 <https://github.com/ros-drivers/rosserial/issues/243>)
  * Support member functions as subscriber callbacks.
  * Contributors: Mike O'Driscoll, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 04:00:00 -0000

ros-kinetic-rosserial-client (0.7.3-0xenial) xenial; urgency=high

  * Order packages by alpha rather than topologically. (#234 <https://github.com/ros-drivers/rosserial/issues/234>)
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 04:00:00 -0000

ros-kinetic-rosserial-client (0.7.2-0xenial) xenial; urgency=high

  * Add ros.h include to transform_broadcaster
  * Add environment variable for arduino location
  * Supported 32bit array lengths in python make_libraries script
  * Contributors: Alan Meekins, David Lavoie-Boutin

 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 04:00:00 -0000

ros-kinetic-rosserial-client (0.7.1-0xenial) xenial; urgency=high

  * Provide option to pass through CMake arguments in the CMAKE_COMMAND
    invocation. The use-case is primarily specifying additional paths to
    modules, for separately-packaged libraries.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 04:00:00 -0000

ros-kinetic-rosserial-client (0.7.0-0xenial) xenial; urgency=high

  * Initial release for Jade.
  * Make message generating error message more verbose.
  * Fix initializer for fixed-length arrays.
  * Generate constructors for messages.
  * Switch to stdint integers. This allows the client to run on 64-bit systems.
  * Contributors: Mickaël, Mike Purvis, Mitchell Wills, chuck-h

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 04:00:00 -0000

ros-kinetic-rosserial-client (0.6.3-0xenial) xenial; urgency=high

  * Move avr serialization logic to Msg class, add gtest to exercise it.
  * Fixed the deserialization of avr64bit in order to support negative numbers.
  * Contributors: Martin Gerdzhev, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 05:00:00 -0000

ros-kinetic-rosserial-client (0.6.2-0xenial) xenial; urgency=high

  * Generic CMake helpers for ros_lib generation and in-package firmwares.
  * Fix output of make_library when package has only messages
  * Added time out to the state machine
  * Contributors: Jason Scatena, Michael Ferguson, Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-kinetic-rosserial-client (0.6.1-0xenial) xenial; urgency=high

  * Remove ID_TX_STOP define
  * Fix ID_TX_STOP in the client lib.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 04:00:00 -0000

ros-kinetic-rosserial-client (0.6.0-0xenial) xenial; urgency=high

  * Remove include of ros.h from time.cpp
  * No xx_val pointers for fixed-length arrays of messages.
  * Use const char* instead of char* for strings in messages.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 04:00:00 -0000

ros-kinetic-rosserial-client (0.5.6-0xenial) xenial; urgency=high

  * Add Mike Purvis as maintainer
  * make tf topic absolute instead of relative to prevent remapping with <group> tag
  * fix: msg id serialization
  * fix: wrong message lenght, if message size more than 255
  * fix odometry deserialization error http://answers.ros.org/question/73807/rosserial-deserialization-error/
  * add better debugging information when packages are missing dependencies


=== debian/control ===
Source: ros-kinetic-rosserial-client
Section: misc
Priority: extra
Maintainer: Paul Bouchier <paul.bouchier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rosserial-msgs, ros-kinetic-rosunit
Homepage: http://ros.org/wiki/rosserial_client
Standards-Version: 3.9.2

Package: ros-kinetic-rosserial-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rosbash, ros-kinetic-rospy, ros-kinetic-rosserial-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Description: Generalized client side source for rosserial.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosserial-client//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
